package cn.com.qmth.examcloud.examwork.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.examwork.api.ExamStudentCloudService;
import cn.com.qmth.examcloud.examwork.api.request.SaveExamStudentReq;
import cn.com.qmth.examcloud.examwork.api.response.SaveExamStudentResp;

public class ExamStudentCloudServiceClient extends BasicCloudClientSupport
		implements
			ExamStudentCloudService {

	@Autowired
	private RestTemplate restTemplate;

	@Override
	public SaveExamStudentResp saveExamStudent(SaveExamStudentReq examStudentReq) {
		return post("examStudent/saveExamStudent", examStudentReq, SaveExamStudentResp.class);
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

}
