package cn.com.qmth.examcloud.examwork.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.examwork.api.request.SaveExamReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamReq;
import cn.com.qmth.examcloud.examwork.api.response.GetExamResp;

/**
 * @author chenken
 * @date 2018年5月3日 上午9:20:02
 * @company QMTH
 * @description ExamService.java
 */
public interface ExamCloudService extends CloudService {

	/**
	 * 保存考试
	 * 
	 * @param exam
	 */
	public void saveExam(SaveExamReq req);

	/**
	 * 查询考试
	 * 
	 * @param name
	 * @return
	 */
	public GetExamResp getExam(GetExamReq req);

}
