package cn.com.qmth.examcloud.examwork.api.request;

import java.util.Date;

import cn.com.qmth.examcloud.commons.web.cloud.api.BaseRequest;

/**
 * @author  	chenken
 * @date    	2018年5月2日 下午3:44:54
 * @company 	QMTH
 * @description ExamReq.java
 */
public class SaveExamReq extends BaseRequest {

	private static final long serialVersionUID = -5832266903859887508L;
	/**
	 * 机构ID
	 */
	private Long rootOrgId;
	/**
	 * 考试名称
	 */
	private String name;
	/**
	 * 考试类型
	 */
	private String examType;
	/**
	 * 考试开始时间
	 */
	private Date beginTime;
	/**
	 * 考试结束时间
	 */
	private Date endTime;
	/**
	 * 考试时长(分钟)
	 */
	private Integer duration;
	/**
	 * 备注
	 */
	private String remark;

	
	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getExamType() {
		return examType;
	}

	public void setExamType(String examType) {
		this.examType = examType;
	}

	public Date getBeginTime() {
		return beginTime;
	}

	public void setBeginTime(Date beginTime) {
		this.beginTime = beginTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public Integer getDuration() {
		return duration;
	}

	public void setDuration(Integer duration) {
		this.duration = duration;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
	
}

