package cn.com.qmth.examcloud.examwork.api.request;

import cn.com.qmth.examcloud.commons.web.cloud.api.BaseRequest;

public class SaveExamStudentReq extends BaseRequest {

	private static final long serialVersionUID = -8455805881947392754L;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 考试ID
	 */
	private Long examId;

	/**
	 * 考试名称
	 */
	private String examName;

	private Long studentId;

	/**
	 * 学生姓名
	 */
	private String studentName;

	/**
	 * 学生学号
	 */
	private String studentCode;

	/**
	 * 学生身份证号
	 */
	private String identityNumber;

	/**
	 * 考试课程名称
	 */
	private String courseName;

	/**
	 * 考试课程code
	 */
	private String courseCode;

	/**
	 * 考试课程level
	 */
	private String courseLevel;

	/**
	 * 试卷类型
	 */
	private String paperType;

	/**
	 * 信息采集人
	 */
	private String infoCollector;

	/**
	 * 考点
	 */
	private String examSite;

	/**
	 * 专业名称
	 */
	private String specialtyName;

	/**
	 * 年级
	 */
	private String grade;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseLevel() {
		return courseLevel;
	}

	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getInfoCollector() {
		return infoCollector;
	}

	public void setInfoCollector(String infoCollector) {
		this.infoCollector = infoCollector;
	}

	public String getExamSite() {
		return examSite;
	}

	public void setExamSite(String examSite) {
		this.examSite = examSite;
	}

	public String getSpecialtyName() {
		return specialtyName;
	}

	public void setSpecialtyName(String specialtyName) {
		this.specialtyName = specialtyName;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

}
