package cn.com.qmth.examcloud.core.examwork.dao;

import java.util.List;

import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamOrgEntity;

public interface ExamOrgRepo
		extends
			JpaRepository<ExamOrgEntity, Long>,
			QueryByExampleExecutor<ExamOrgEntity> {

	List<ExamOrgEntity> findAllByExamId(Long examId, Pageable pageable);

	List<ExamOrgEntity> findAllByExamIdAndOrgId(Long examId, Long orgId, Pageable pageable);

}
