package cn.com.qmth.examcloud.core.examwork.service.rpc;

import cn.com.qmth.examcloud.common.dto.core.Course;
import cn.com.qmth.examcloud.common.dto.core.Specialty;
import cn.com.qmth.examcloud.commons.base.util.GsonUtil;
import cn.com.qmth.examcloud.core.examwork.service.rpc.client.CourseClient;
import cn.com.qmth.examcloud.core.examwork.service.rpc.client.SpecialtyClient;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 专业服务类
 * Created by songyue on 17/1/14.
 */
@Service
public class SpecialtyService {

	@Autowired
	SpecialtyClient specialtyClient;

	public Specialty findByOrgIdAndCode(String token,Long orgId, String code) {
		String json = specialtyClient.findByOrgIdAndCode(token,orgId,code);
		Specialty domain = GsonUtil.getInstanceByJson(json, Specialty.class);
		return domain;
	}

}
