package cn.com.qmth.examcloud.core.examwork.service.rpc.client;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @Description: TODO
 * @author ting.yin
 * @date 2017年1月14日
 */
@FeignClient(value = "ExamCloud-service-core")
public interface OrgClient {

	@RequestMapping(method = RequestMethod.GET, value = "${$rmp.ctr.basic}/org")
	String findByParentIdAndCode(@RequestHeader("user_token") String token,@RequestParam("parentId") Long parentId,@RequestParam("code") String code);

	@RequestMapping(method = RequestMethod.GET, value = "${$rmp.ctr.basic}/org/sub/{parentId}")
	String findByParentId(@RequestHeader("user_token") String token,
						  @PathVariable("parentId") Long parentId);

}
