package cn.com.qmth.examcloud.core.examwork.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.examwork.dao.entity.CourseGroupRelation;
import cn.com.qmth.examcloud.core.examwork.dao.entity.CourseGroupRelationPK;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年6月7日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface CourseGroupRelationRepo
		extends
			JpaRepository<CourseGroupRelation, CourseGroupRelationPK>,
			QueryByExampleExecutor<CourseGroupRelation> {

	List<CourseGroupRelation> findAllByGroupId(Long groupId);

	List<CourseGroupRelation> findAllByCourseIdAndExamId(Long courseId, Long examId);

	void deleteByGroupId(Long groupId);

}
