package cn.com.qmth.examcloud.core.examwork.dao.enums;

/**
 * Created by songyue on 17/6/22.
 */
public enum MarkingType {

    ALL("全部评阅"),
    OBJECT_SCORE_MAX("客观分最高"),
    LAST_SUBMIT("最后一次提交");

    private String name;
    
    public static MarkingType toMarkingType(String str){
    	if(str==null || "".equals(str)){
    		return null;
    	}
    	for(MarkingType type:MarkingType.values()){
    		if(str.equals(type.name())){
    			return type;
    		}
    	}
    	return null;
    }

    private MarkingType(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
