package cn.com.qmth.examcloud.core.examwork.service.rpc.client;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

import cn.com.qmth.examcloud.common.dto.core.Student;

/**
 * @Description: TODO
 * @author ting.yin
 * @date 2017年1月14日
 */
@FeignClient(value = "ExamCloud-service-core")
public interface StudentClient {

	@RequestMapping(method = RequestMethod.GET, value = "${$rmp.ctr.basic}/student")
	String updatePhoto(@RequestHeader("user_token") String token,@RequestParam("identityNumber") String identityNumber);

	@RequestMapping(method = RequestMethod.POST, value = "${$rmp.ctr.basic}/student")
	String addStudent(@RequestHeader("user_token") String token,@RequestBody Student student);

	@RequestMapping(method = RequestMethod.GET, value = "${$rmp.ctr.basic}/student/{id}")
	String getStudent(@RequestHeader("user_token") String token,@PathVariable("id") Long id);

	@RequestMapping(method = RequestMethod.PUT, value = "${$rmp.ctr.basic}/student")
	String updateStudent(@RequestHeader("user_token") String token,@RequestBody Student student);

	@RequestMapping(method = RequestMethod.DELETE, value = "${$rmp.ctr.basic}/student/{id}")
	void deleteStudent(@RequestHeader("user_token") String token,@PathVariable("id") Long id);

}
